# $Revision: 1.128 $, $Date: 2005/12/20 13:44:22 $
Summary:	GNU libtool, a shared library generation tool
Summary(es):	GNU libtool, una herramienta de creacin de bibliotecas compartidas
Summary(pl):	GNU libtool - narzdzie do generowania bibliotek wspdzielonych
Summary(pt_BR):	GNU libtool, uma ferramenta de gerao de bibliotecas compartilhadas
Summary(ru):	GNU libtool,      
Summary(uk):	GNU libtool, ¦ ̦  æ ͦ ¦̦
Name:		libtool
Version:	1.5.22
Release:	1
Epoch:		2
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.gnu.org/gnu/libtool/%{name}-%{version}.tar.gz
# Source0-md5:	8e0ac9797b62ba4dcc8a2fb7936412b0
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
# Source1-md5:	b95e215961860c66f0868b0d551358c9
Patch0:		%{name}-info.patch
Patch1:		%{name}-relink.patch
Patch2:		%{name}-libdirs.patch
Patch3:		%{name}-multilib.patch
URL:		http://www.gnu.org/software/libtool/
BuildRequires:	/usr/bin/which
BuildRequires:	autoconf >= 2.57
%ifarch %{x8664}
BuildRequires:	automake >= 1:1.7.9-2
%else
BuildRequires:	automake >= 1:1.7.3
%endif
BuildRequires:	gcc-c++ >= 5:3.3.3
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	texinfo
%requires_eq	gcc
Requires:	%(which %{__cc})
Requires:	coreutils
Requires:	grep
Requires:	mktemp
Requires:	sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU libtool is a set of shell scripts to automatically configure UNIX
architectures to build shared libraries in generic fashion.

%description -l es
GNU libtool es un conjunto de scripts shell para configurar
automticamente la creacin de bibliotecas compartidas para varias
arquitecturas UNIX de una manera genrica.

%description -l pl
GNU libtool jest zbiorem skryptw shellowych do automatycznego
generowania bibliotek wspdzielonych niezalenie od typu platformy
systemowej.

%description -l pt_BR
GNU libtool  um conjunto de scripts shell para configurar
automaticamente a gerao de bibliotecas compartilhadas para vrias
arquiteturas UNIX de uma maneira genrica.

%description -l ru
GNU libtool -      
      UNIX.

%description -l uk
GNU libtool -  ¦ Ԧ  ϧ æ ͦ
¦̦  Ҧ Ȧ UNIX.

%package -n libltdl
Summary:	System independent dlopen wrapper for GNU libtool
Summary(pl):	Biblioteka oglnych wywoa dlopen
Summary(pt_BR):	GNU libltdl, um wrapper dlopen para o GNU libtool
Group:		Libraries
Obsoletes:	libtool-libs

%description -n libltdl
System independent dlopen wrapper for GNU libtool.

%description -n libltdl -l pl
Biblioteka oglnych wywoa dlopen.

%description -n libltdl -l pt_BR
GNU libltdl, um wrapper dlopen para o GNU libtool.

%package -n libltdl-devel
Summary:	Development components for libltdl
Summary(pl):	Cz libltdl przeznaczona dla programistw
Summary(pt_BR):	Componentes de desenvolvimento para a libltdl
Summary(ru):	     libltdl
Summary(uk):	     libltdl
Group:		Development/Libraries
Requires:	libltdl = %{epoch}:%{version}-%{release}

%description -n libltdl-devel
System independent dlopen wrapper for GNU libtool - development part.
Install this package if you want to develop for libltdl.

%description -n libltdl-devel -l pl
Biblioteka oglnych wywoa dlopen - cz dla programistw.

%description -n libltdl-devel -l pt_BR
Instale este pacote se voc deseja desenvolver para a libltdl.

%description -n libltdl-devel -l uk
     libltdl.

%description -n libltdl-devel -l ru
     libltdl.

%package -n libltdl-static
Summary:	Static system independent dlopen wrapper for GNU libtool
Summary(pl):	Statyczna biblioteka oglnych wywoa dlopen
Summary(pt_BR):	Componentes de desenvolvimento para a libltdl
Summary(ru):	  libltdl  libltdl
Summary(uk):	 ¦̦ libltdl  libltdl
Group:		Development/Libraries
Requires:	libltdl-devel = %{epoch}:%{version}-%{release}

%description -n libltdl-static
Static system independent dlopen wrapper for GNU libtool. Install this
package if you want to develop for libltdl, but using static
components (seldom used).

%description -n libltdl-static -l pl
Statyczna biblioteka oglnych wywoa dlopen.

%description -n libltdl-static -l pt_BR
Instale este pacote se voc deseja desenvolver para a libltdl,
utilizando componentes estticos (raramente necessrio).

%description -n libltdl-static -l ru
     ,   
  libltdl.

%description -n libltdl-static -l uk
   ڦ  ¦̦,  ¦   
 libltdl.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# it's the same - copy so patching only libtool.m4 is sufficient
cp -f libtool.m4 acinclude.m4
cat libtool.m4 ltdl.m4 > libltdl/acinclude.m4

%build
%{__aclocal}
%{__autoconf}
%{__automake}

cd libltdl
%{__aclocal}
%{__autoconf}
cp -f ../config.sub .
automake -a -c --foreign
cd ..

%configure

%{__make} -C doc -k
%{__make} libtoolize
%{__make} acinclude.m4 cdemo/acinclude.m4 pdemo/acinclude.m4 \
	demo/acinclude.m4 depdemo/acinclude.m4 mdemo/acinclude.m4 \
	tagdemo/acinclude.m4 f77demo/acinclude.m4
%{__make} -C libltdl Makefile.in
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post   -n libltdl -p /sbin/ldconfig
%postun -n libltdl -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO ChangeLog demo
%attr(755,root,root) %{_bindir}/*

%dir %{_datadir}/libtool
%attr(755,root,root) %{_datadir}/libtool/config.guess
%attr(755,root,root) %{_datadir}/libtool/config.sub
%attr(755,root,root) %{_datadir}/libtool/install-sh
%attr(755,root,root) %{_datadir}/libtool/ltmain.sh

%{_infodir}/libtool.info*
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%{_aclocaldir}/libtool.m4

%files -n libltdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libltdl.so.*.*.*

%files -n libltdl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libltdl.so
%{_libdir}/libltdl.la
%{_includedir}/ltdl.h
%{_aclocaldir}/ltdl.m4

%dir %{_datadir}/libtool/libltdl
%{_datadir}/libtool/libltdl/[CMRal]*
%{_datadir}/libtool/libltdl/config-h.in
%attr(755,root,root) %{_datadir}/libtool/libltdl/configure
%{_datadir}/libtool/libltdl/configure.ac
%attr(755,root,root) %{_datadir}/libtool/libltdl/install-sh
%attr(755,root,root) %{_datadir}/libtool/libltdl/missing
%attr(755,root,root) %{_datadir}/libtool/libltdl/config.guess
%attr(755,root,root) %{_datadir}/libtool/libltdl/config.sub

%files -n libltdl-static
%defattr(644,root,root,755)
%{_libdir}/libltdl.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtool.spec,v $
Revision 1.128  2005/12/20 13:44:22  arekm
- up to 1.5.22; tmp patch obsolete

Revision 1.127  2005/09/02 20:36:27  qboosh
- updated to 1.5.20

Revision 1.126  2005/06/25 22:37:02  ankry
- rel. 3

Revision 1.125  2005/06/23 18:18:09  baggins
- release 2
- rebuild with gcc 3.3.6 for AC

Revision 1.124  2005/05/20 19:18:43  qboosh
- updated to 1.5.18 (bugfixes)

Revision 1.123  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.122  2005/05/08 20:48:49  pluto
- release 3 for rebuild with gcc-4.0.1.

Revision 1.121  2005/04/26 18:23:03  pluto
- release 2 for Th.

Revision 1.120  2005/04/26 17:22:49  qboosh
- updated to 1.5.16, dropped pmake patch

Revision 1.119  2005/02/14 19:43:55  qboosh
- updated to 1.5.14, removed obsolete pthread patch

Revision 1.118  2005/02/10 11:32:31  qboosh
- added pthread patch (-pthread bugfix from libtool CVS)
- release 2

Revision 1.117  2005/02/06 12:08:05  qboosh
- updated to 1.5.12

Revision 1.116  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.115  2004/10/16 13:12:16  mmazur
- rel 4 for th to rebuild with new gcc

Revision 1.114  2004/10/12 19:28:12  mmazur
- rel 3 for th

Revision 1.113  2004/10/10 11:36:32  havner
- rel 2 for gcc 3.3.5

Revision 1.112  2004/09/26 10:13:22  jareq
- updated to 1.5.10
- remove libtool-m4-x86_64.patch (from NEWS - GNU/linux ia64 fixes)
- rel 1

Revision 1.111  2004/08/13 10:44:18  qboosh
- updated to 1.5.8

Revision 1.110  2004/06/20 12:23:52  qboosh
- don't include autogenerated symlink, strict internal deps, release 3

Revision 1.109  2004/06/18 14:08:53  averne
- rel 2 for rebuild with new gcc

Revision 1.108  2004/06/12 18:34:27  mmazur
- fixed building on bsd

Revision 1.107  2004/04/14 06:23:42  qboosh
- updated to 1.5.6, removed obsolete installfix patch

Revision 1.106  2004/04/06 21:56:59  qboosh
- updated to 1.5.4, updated mktemp,relink patches, added installfix patch

Revision 1.105  2004/02/19 07:03:50  qboosh
- release 2: rebuild for gcc 3.3.3

Revision 1.104  2004/01/25 22:23:54  arekm
- updated to 1.5.2

Revision 1.103  2004/01/18 21:24:17  qboosh
- allow older am outside amd64

Revision 1.102  2003/12/28 15:40:17  qboosh
- ugh... added missing autoconf calls

Revision 1.101  2003/12/28 15:32:55  qboosh
- copy fixed libtool.m4 to libltdl/acinclude.m4 too

Revision 1.100  2003/12/28 15:26:07  qboosh
- modified mktemp patch so the fix is used during libtool build as well
- added LD_GNU patch (should fix C++ linking on dual-ABI archs)
- release 14

Revision 1.99  2003/12/20 10:44:03  jajcus
- epoch included in automake BR

Revision 1.98  2003/12/19 12:39:29  jajcus
- Release: 13
- rebuild with automake-1.7.9-2 for config.sub with amd64 support

Revision 1.97  2003/12/18 20:45:30  arekm
- new patches (fix x86_64, make restricted symbol exports work on Linux); rel 12

Revision 1.96  2003/12/12 23:50:36  qboosh
- forgot to mention: release 11

Revision 1.95  2003/12/12 23:44:23  qboosh
- added (runtime) fix needed for automake 1.8

Revision 1.94  2003/11/07 12:31:54  qboosh
- release 10 for gcc 3.3.2 on Ac

Revision 1.93  2003/09/11 17:23:19  mmazur
- uClibc rel 2; libtool rel 9
- fuck fuck fuck shit fuck fuck fuck... ppc builder was broken all the time
  and I hadn't noticed. FUCK

Revision 1.92  2003/08/22 23:58:27  mmazur
- rel8 for ac

Revision 1.91  2003/08/10 19:46:53  wiget
- rebuild with new gcc

Revision 1.90  2003/07/20 17:10:59  areq
- Release:        6, rebuild

Revision 1.89  2003/07/18 09:21:13  blues
- cosmetics

Revision 1.88  2003/06/23 08:48:02  aflinta
- fixed epoch:version issue

Revision 1.87  2003/06/03 22:19:58  wrobell
- rel. 5 to rebuild on nest

Revision 1.86  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.85  2003/05/25 05:50:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.84  2003/05/16 17:22:16  adgor
- BR: /usr/bin/which

Revision 1.83  2003/05/16 10:29:12  wiget
- release 4

Revision 1.82  2003/04/27 10:34:47  misiek
- rebuild with new gcc

Revision 1.81  2003/04/20 10:51:10  qboosh
- added libdirs patch - try to sanitize sys_lib_search_path_spec, to avoid
  using ugly paths containing '../' and '//'
- release 2

Revision 1.80  2003/04/15 09:14:24  wiget
- updated to 1.5

Revision 1.79  2003/03/05 15:04:07  grzegol
- added ac/am stuff

Revision 1.78  2003/03/03 21:19:29  juandon
- added pmake.patch
- verbosity to satisfy parallel make
- don't change this unless you know what you are doing

Revision 1.77  2003/03/02 16:04:36  qboosh
- removed unneeded (already applied) entries from relink patch
- release 0.snap.2 - rebuild
- added R: for gcc to protect from strange errors
  (libtool doesn't work correctly after changing version or filename of gcc)

Revision 1.76  2003/02/05 14:02:57  qboosh
- merged DEVEL branch (1.4e CVS version); 1.4.3 left on RA-branch

Revision 1.75  2003/01/27 16:12:18  wrobell
- back to epoch 1 (thanks qboosh for the advice on libtool package versioning)

Revision 1.74  2003/01/27 15:57:51  wrobell
- epoch 2, rel. 3

Revision 1.73  2002/11/25 14:17:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.72  2002/11/19 13:09:58  wiget
- fix -relink patch
- release 2

Revision 1.71  2002/10/24 15:18:21  wiget
- updated to 1.4.3

Revision 1.70  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.69  2002/10/04 07:13:40  misiek
- work properly with latest ac; rel 12

Revision 1.68  2002/09/20 10:32:06  wrobell
- rel. 12, epoch 1

Revision 1.67  2002/06/17 05:51:54  kloczek
- use new %doc.

Revision 1.66  2002/05/26 18:58:37  qboosh
- ported ac253 patch from DEVEL - needed to work correctly with ac 2.53,
  should work with ac 2.52 too
- removed stamp.h-in from libltdl data, other fixes to build with new
  ac/am and without libtool already installed
- release 11

Revision 1.65  2002/05/21 23:14:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.64  2002/04/12 14:03:07  ankry
- merged en and ja man pages into one tar; added src URL
- install directly into $RPM_BUILD_ROOT
- release 10

Revision 1.63  2002/04/10 21:12:11  ankry
- added Japanese man pages

Revision 1.62  2002/04/10 16:34:44  kloczek
- added man pages for libtool(1) and libtoolize(1) (from Debian resources).

Revision 1.61  2002/04/10 08:43:46  misiek
- added workaround for relinking problem (from mdk); release 9

Revision 1.60  2002/04/09 01:15:03  kloczek
- release 8, merge translations from KSI.

Revision 1.59.2.10  2003/01/28 13:59:35  wiget
- updated to 20030119

Revision 1.59.2.9  2002/12/26 20:32:03  qboosh
- things aren't so simple - there could be something evil in LDFLAGS...
  causing to find old library before just installed when relinking
- i.e. changed relink patch, release 0.snap.3

Revision 1.59.2.8  2002/12/25 01:29:17  qboosh
- argh, relink patch is back (much shorter):
  $DESTDIR$libdir and $libdir were searched (through -L) in wrong order, so
  library could be relinked with old, installed version instead of new one
- release 0.snap.2

Revision 1.59.2.7  2002/12/17 23:31:09  wiget
- updated to 1.4e-20021218 cvs-snap

Revision 1.59.2.6  2002/10/04 23:36:04  qboosh
- Epoch 2, Release 4 - to allow upgrade from HEAD

Revision 1.59.2.5  2002/05/26 09:16:36  qboosh
- merged relink patch from HEAD
- release 3

Revision 1.59.2.4  2002/04/23 18:17:24  qboosh
- ac253 patch with AC_PROVIDE-related fix for autoconf 2.53 (idea by wiget)
- stamp-h.in disappeared from libtool/libltdl (not in DIST_COMMON in am1.6.1)
- MFH: updated man pages unpacking
- release 2

Revision 1.59.2.3  2002/04/11 19:43:05  qboosh
- fixed adding manuals

Revision 1.59.2.2  2002/04/11 09:47:26  qboosh
- MFH: added man pages

Revision 1.59.2.1  2002/04/08 23:41:47  misiek
- updated to 1.4d version

Revision 1.59  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.58  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.57  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.56  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.55  2001/10/11 04:53:16  kloczek
- release 3.

Revision 1.54  2001/10/10 12:16:33  qboosh
- BuildRequires: autoconf, automake

Revision 1.53  2001/09/14 21:10:56  qboosh
- libltdl/* ARE needed - for libtoolize --ltdl
- reverted and updated %%files (s/config\.h\.in/config-h.in/)
- fixed English summaries/descriptions, removed English "es" translations
- release 2

Revision 1.52  2001/09/13 21:08:57  kloczek
- removed %%{_datadir}/libtool/libltdl from devel %files list (seems this
  isn't neccessary).

Revision 1.51  2001/09/13 17:12:13  kloczek
- updated to 1.4.2,
- added test patch for quoting some $vatiables in "" (patch from CNV).

Revision 1.50  2001/09/03 21:59:36  kloczek
- merge translations from CNV,
- updated %files list,
- small simplification in %build.

Revision 1.49  2001/09/03 19:06:00  filon
- updated to 1.4.1

Revision 1.48  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/07/10 16:57:00  wiget
1.4b

Revision 1.45  2001/05/03 15:25:23  qboosh
- added missing dir to libltdl-devel: %%{_datadir}/libtool/libltdl
- release 2

Revision 1.44  2001/04/27 10:19:40  wiget
release 1

Revision 1.43  2001/04/27 10:18:18  wiget
- updated to 1.4
- removed cache patch (obsoleted now)
- removed nonneg (its broken and not needed, author of this patch must
read SUSv2 and understand libtool)
- ltconfig is gone
- libltdl source in libltdl-devel subpackage
  (in order to 'libtoolize --ltdl' work correct)

Revision 1.42  2000/12/08 07:04:48  kloczek
- release 11,
- removed %%{_datadir}/libtool from libltdl-devel (this file s are not
  neccessary).

Revision 1.41  2000/09/27 16:23:01  kloczek
- release 10: adapterized adn added using rpm new automation.

Revision 1.40  2000/08/30 23:51:07  kloczek
- release 9,
- merged mktemp and nonneg patches from RH,
- added Requires: mktemp for main,
- added libtool-libs to Obsoletes in libltdl subpackage.

Revision 1.39  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.38  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.37  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.36  2000/05/28 11:06:44  kloczek
- updated to 1.3.5,
- spec adapterized.

Revision 1.35  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.34  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.33  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.32  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.31  2000/01/20 23:43:23  kloczek
- release 2 (synchro with rawhide),
- adapter(ized).

Revision 1.30  1999/12/09 15:02:35  kloczek
- updated to 1.3.4,
- removed arm patch (now integrated in current version).

Revision 1.30  1999/12/09 15:02:35  kloczek
- updated to 1.3.4,
- removed arm patch (now integrated in current version).

Revision 1.29  1999/09/12 20:49:26  kloczek
- typo.

Revision 1.28  1999/09/12 20:46:27  kloczek
- release 2,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- added arm patch (from rawhide),
- standarization to "* text: (link).  description" format in info index
  entries for libtool.

Revision 1.27  1999/08/06 13:55:29  jasio
Changed gemnerowania -> generowania.

Revision 1.26  1999/07/23 09:28:13  wiget
- added %%defattr macro

Revision 1.25  1999/07/23 08:59:31  kloczek
- simplifications in %files.

Revision 1.24  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 23 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [1.3-3]
- added some macros,
- fixed %post & %postun,
- cosmetic.

* Wed May  5 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.3-2]
- added CFLAGS="$RPM_OPT_FLAGS" to ./configure enviroment,
- added stripping shared libraries.

* Fri Apr 30 1999 Artur Frysiak <wiget@pld.org.pl>
- added libltdl, libltdl-devel and libltdl-static subpackage
- removed BuildArch: noarch (added subpackage are system independent)
- added patch for work correct with grep 2.3

* Sun Mar 14 1999 Micha Kuratczyk <kura@pld.org.pl>
  [1.2d-3]
- added gzipping documentation

* Thu Mar 11 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2d-2]
- Group changed to Development/Tools,
- added Group(pl).

* Tue Dec 29 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2d-1]
- added pl translation,
- added libtool-info.patch.
- standarized {un}registering info pages.

* Wed Nov 25 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2b-2]
- added URL field,
- fixed --entry text on {un}registering info page for libtool in %post
  %preun in devel.

* Thu Sep  8 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.2-1]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- added using %%{name} and %%{version} in Source,
- removed COPYING and INSTALL drom %doc,
- added %attr and %defattr macros in %files (allows build package from
  non-root account),
- start at RH spec.
